import subprocess
import json

result = subprocess.Popen("/usr/sbin/networksetup -getinfo Wi-Fi", shell=True, stdout=subprocess.PIPE, encoding='utf8')
# output = subprocess.check_output(["/usr/sbin/networksetup", "-getinfo", "Wi-Fi"])

ret = {}

# loop though output and print out SSID and BSSID
for line in result.stdout:
    #print(line)
    if line.startswith("IP address: "):
        ret["ip"] = line.replace("IP address: ", "").strip()
    elif "Subnet mask: " in line:
        ret["subnet"] = line.replace("Subnet mask: ", "").strip()
    elif line.startswith("Router: "):
        ret["router"] = line.replace("Router: ", "").strip()
    elif "DNS: " in line:
        ret["dns"] = line.replace("DNS: ", "").strip()
    elif "SSID: " in line:
        ret["ssid"] = line.replace("SSID: ", "").strip()
    elif "BSSID: " in line:
        ret["bssid"] = line.replace("BSSID: ", "").strip()
    elif "Security: " in line:
        ret["security"] = line.replace("Security: ", "").strip()
    elif "Authentication: " in line:
        ret["authentication"] = line.replace("Authentication: ", "").strip()
    elif "Power: " in line:
        ret["power"] = line.replace("Power: ", "").strip()
    elif "Wi-Fi ID: " in line:
        ret["mac"] = line.replace("Wi-Fi ID: ", "").strip()
    elif "IPv6: " in line:
        ret["ipv6"] = line.replace("IPv6: ", "").strip()
    elif "Frequency: " in line:
        ret["frequency"] = line.replace("Frequency: ", "").strip()
    elif "RSSI: " in line:
        ret["rssi"] = line.replace("RSSI: ", "").strip()
    elif "Noise: " in line:
        ret["noise"] = line.replace("Noise: ", "").strip()
    elif "Channel: " in line:
        ret["channel"] = line.replace("Channel: ", "").strip()
    elif "Transmit Power: " in line:
        ret["transmitpower"] = line.replace("Transmit Power: ", "").strip()
    elif "Link Quality: " in line:
        ret["linkquality"] = line.replace("Link Quality: ", "").strip()
    else: 
        pass

print(json.dumps(ret))
